BUILD-DEBUG-INFO(1)

NAME
build-debug-info - generate packing-lists and Makefiles for debug packages

SYNOPSIS
PORTSDIR=path
build-debug-info [-mnqvx] -P pkgdir -- pkg_create_args ...

DESCRIPTION
build-debug-info is a helper script for generating debug package information in bsd.port.mk(5), with similar calling conventions to update-plist(1).

Along with options and environment variables, build-debug-info uses the exact same options and arguments that would be passed to pkg_create(1). Since pkg_create(1) normally takes one single actual pkgname, there is no ambiguity in MULTI_PACKAGES situations.

The first set of arguments correspond to the ‘default package’.

The options are as follows:

-P pkgdir
    directory used for generating output (mandatory).

-q  Quiet mode. Do not display status progress messages. Note that this is not the opposite of verbose mode.

-v  Verbose mode. Explain about directories stripped from dependencies. Note that this is not the opposite of quiet mode.

build-debug-info will read each packing-list list and generate a corresponding debug-list under pkgdir.

The full list of Makefile rules needed to generate those files and directories will be written as pkgdir/Makefile.

SEE ALSO
pkg_add(1), pkg_create(1), update-plist(1), bsd.port.mk(5)